QGIS Application - Bug report #19690

Project crs updates to epsg:4326 when a geometryless layer is frst added to it

2018-08-24 07:43 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.3(master)
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 27515

Description

Open a new project in a crs other than epsg:4326

Create a table (no geometry) using the New Temporary scratch Layer dialog
When the layer is added to the project, the project crs is changed to comply with "the table's crs which is epsg:4326" #19689

It should not.

Related discussion:

http://osgeo-org.1560.x6.nabble.com/QGIS-Developer-Unable-to-understand-the-quot-Default-CRS-for-new-projects-quot-setting-td537

179.html

Associated revisions

Revision d84252c9 - 2018-08-27 03:35 AM - Nyall Dawson

Fix project defaults to EPSG:4326 when a non-spatial layer is first
layer added

Fixes #19690

History

#1 - 2018-08-27 12:22 AM - Jiirgen Fischer
- Description updated

#2 - 2018-08-27 03:35 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|d84252¢c97¢c83d059d8a2fdb725468328f08b136f.

#3 - 2018-08-29 11:38 AM - Giovanni Manghi
- Resolution set to fixed/implemented
